---
# Install CRON jobs

- name: "Set general env vars in {{ aedir_cron_file }}"
  cron:
    env: yes
    name: "{{ item.key }}"
    value: "{{ item.value }}"
    state: present
    user: root
    cron_file: "{{ aedir_cron_file }}"
  with_dict:
    HOME: "{{ aedir_rundir }}"
    MAILTO: ""
    LD_LIBRARY_PATH: "{{ openldap_path.libdir }}"
    LDAPRC: "{{ aedir_etc }}/ldap.conf"
    PYTHONPATH: "{{ aedir_etc }}/ae-dir-pwd"

- name: "Set Python env vars in {{ aedir_cron_file }}"
  cron:
    env: yes
    name: "{{ item.name }}"
    value: "{{ item.value }}"
    state: present
    user: root
    cron_file: "{{ aedir_cron_file }}"
  with_items: "{{ aedir_python_env }}"

- name: "Remove metrics text export CRON job"
  cron:
    name: "slapd_metrics"
    state: absent
    cron_file: "{{ aedir_cron_file }}"
  when: aedir_metricsdir == ""

- name: "Install metrics text export CRON job"
  cron:
    name: "slapd_metrics"
    state: present
    user: root
    cron_file: "{{ aedir_cron_file }}"
    hour: "*"
    minute: "*/2"
    job: "{{ aedir_sbin }}/slapd_metrics.sh > {{ aedir_metricsdir }}/{{ openldap_service_name }}.prom.tmp && mv {{ aedir_metricsdir }}/{{ openldap_service_name }}.prom.tmp {{ aedir_metricsdir }}/{{ openldap_service_name }}.prom"
  when: aedir_metricsdir != ""

- name: "Role-specific CRON jobs"
  include_tasks: "cron_{{ openldap_role }}.yml"
